Subject: Re: bug#40489: flatpak segfaults

From: Efraim Flashner <[email-masked]>
Date: Thu, 9 Apr 2020 23:30:30 +0300

On Tue, Apr 07, 2020 at 03:24:53PM +0000, [email-masked] wrote:
> Hey buddy, I tried running flatpak on a freshly installed Guix system (today) and for some reason it segfaults when I try to add the flathub repo. I was told to report the bug to you.
> 
> I've attached the command output, Flatpak version is 1.4.3.
> 
> It also complains about XDG_DATA_DIRS as you can see, but not sure yet if that affects usage or not. It's possible I installed it wrong, but was generally told that "guix install flatpak" is all that is need for it to work. I'd like flatpaks to be installed for all users on the system, but not yet sure if that's feasible.
> 
> Thank you!

> $ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
> 
> Note that the directories 
> 
> '/var/lib/flatpak/exports/share'
> '/home/ben/.local/share/flatpak/exports/share'
> 
> are not in the search path set by the XDG_DATA_DIRS environment variable, so
> applications installed by Flatpak may not appear on your desktop until the
> session is restarted.
> 
> Segmentation fault

I was able to recreate your segfault. Not helpful to the segfault part
but still useful information for you, I was able to run 'flatpak --user 
remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo'
and then 'flatpak search gimp' and other searches worked for me.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted